org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Class PSRpcCall

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject
  - - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcCall

-     public class PSRpcCall
      extends PSRpcObject

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

      `PULL, PUSH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSRpcCall(ByteBuffer buffer)`
    `PSRpcCall(int method, int workerID, ListObject data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deserialize(ByteBuffer buffer)`
    `ListObject` | `getData()`
    `int` | `getMethod()`
    `int` | `getWorkerID()`
    `ByteBuffer` | `serialize()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSRpcCall

          public PSRpcCall(int method,
                           int workerID,
                           ListObject data)

    - #### PSRpcCall

          public PSRpcCall(ByteBuffer buffer)
                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getMethod

          public int getMethod()

    - #### getWorkerID

          public int getWorkerID()

    - #### getData

          public ListObject getData()

    - #### deserialize

          public void deserialize(ByteBuffer buffer)
                           throws IOException

      Specified by:
        `deserialize` in class `PSRpcObject`
      Throws:
        `IOException`

    - #### serialize

          public ByteBuffer serialize()
                               throws IOException

      Specified by:
        `serialize` in class `PSRpcObject`
      Throws:
        `IOException`

Copyright © 2020 The Apache Software Foundation. All rights reserved.